/*--------------------------------------------------- Skills -------------------------------------------------*/
#skills {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    margin: 0 auto;
}

.skill-container {
    width: 28%;
    margin: 1%;
    max-width: 100%;
    min-width: 280px;
    background-color: var(--mainTextColor);
    color: #222;
    font-weight: 700;
    height: 40vh;
    display: flex;
    justify-content: center;
    position: relative;
    transition: background-color 0.2s linear;
}

.skill-image {
    width: 50%;
    height: 40vh;
}

.skill-text {
    position: absolute;
    top: 0;
    left: 10%;
    right: 10%;
    text-align: center;
    visibility: hidden;
    transition: opacity 0.3s ease-in-out;
    opacity: 0;
    font-size: 1.2rem;
    font-weight: 500;
    color: var(--mainTextColor);
}

.skill-container:hover,
.skill-container:focus,
.touchedSkill {
    background-color: rgba(51, 68, 119, .5);
}

.skill-container:hover .skill-text,
.skill-container:focus .skill-text,
.touchedSkill .skill-text {
    visibility: visible;
    opacity: 1;
}

.touchedSkill {
    touch-action: none;
}

.skill-title {
    font-family: Archivo, "serif";
    font-weight: 900;
    font-size: 2rem;
}

@media screen and (min-width:360px) and (max-width:700px) {
    .skill-container {
        width: 100%;
    }

    .skill-text {
        font-size: 2.1rem;
    }
}

@media screen and (min-width: 700px) and (max-width:1000px) {
    .skill-container {
        flex: 1;
        padding: 4rem 0;
        height: auto;
    }

    .skill-text {
        font-size: 1.5rem;
    }

    .skill-image {
        height: auto;
    }
}